Package: groovy.lang

## [Java] Class MOPIter.Index

- groovy.lang.MOPIter.Index

-     @Deprecated
      public static class MOPIter.Index
      extends SingleKeyHashMap

  deprecated:
    use LinkedHashMap instead

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class ComplexKeyHashMap` | `DEFAULT_CAPACITY, MAXIMUM_CAPACITY, MINIMUM_CAPACITY, size, table, threshold`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `Index(int size)`
    `Index()`
    `Index(boolean size)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public boolean` | `checkEquals(Entry e, Object key)`
    `` | `public SingleKeyHashMap` | `getNotNull(CachedClass key)`
    `` | `public SingleKeyHashMap` | `getNullable(CachedClass clazz)`
    `` | `public void` | `put(CachedClass key, SingleKeyHashMap value)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class SingleKeyHashMap` | `containsKey, copy, get, getOrPut, getOrPutEntry, put, putCopyOfUnexisting, remove`
    `class ComplexKeyHashMap` | `clear, getEntrySetIterator, getTable, hasNext, hash, init, isEmpty, next, resize, size`

- - ### Constructor Detail

    - #### public Index(int size)

    - #### public Index()

    - #### public Index(boolean size)

  - ### Method Detail

    - #### public boolean checkEquals(Entry e, Object key)

    - #### public SingleKeyHashMap getNotNull(CachedClass key)

    - #### public SingleKeyHashMap getNullable(CachedClass clazz)

    - #### public void put(CachedClass key, SingleKeyHashMap value)